import { getPosts } from '$lib/server/db';
import { json } from '@sveltejs/kit';

import type { RequestHandler } from './$types';

export const GET = (async ({ url }) => {
  const since = url.searchParams.get('since');
  const before = url.searchParams.get('before');
  let count = Number.parseInt(url.searchParams.get('count') || '');
  if (isNaN(count)) {
    count = 20;
  }
  count = Math.min(count, 100);
  const posts = await getPosts(since, before, count);
  return json(posts);
}) satisfies RequestHandler;